## lltsv 0.6.1

=== Makefile ===
DEBUG_FLAG = $(if $(DEBUG),-debug)

deps:
	go get github.com/andrew-d/go-termutil/...
	go get github.com/urfave/cli/...
	go get github.com/mgutz/ansi/...
	go get -u github.com/golang/lint/golint
	go get -d -t ./...

build:
	go build

test: deps
	go test -v ./...

install: deps
	go install

fmt:
	go fmt ./...

lint:
	golint .

pkg: deps
	go get github.com/mitchellh/gox/...
	go get github.com/tcnksm/ghr
	mkdir -p pkg && cd pkg && gox ../...

clean:
	rm -f lltsv

=== debian/changelog ===
lltsv (0.6.1-2) unstable; urgency=medium

  * debian/patches/background-color-explicitly.patch
    - Apply background for readability

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 28 Oct 2020 21:43:26 +0900

lltsv (0.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #951581)
  * debian/patches/0001-use-mattn-go-isatty.patch
    - Use mattn/go-isatty instead of andrew-d/go-termutil
  * debian/lltsv.1
    - Add manpage about lltsv

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 12 Jul 2020 18:01:38 +0900

## lltsv 0.7.0

=== Makefile ===
DEBUG_FLAG = $(if $(DEBUG),-debug)

build:
	GO111MODULE=on go build

test:
	GO111MODULE=on go test -v ./...

install:
	GO111MODULE=on go install

fmt:
	GO111MODULE=on go fmt ./...

lint:
	golint .

pkg:
	go get github.com/mitchellh/gox/...
	go get github.com/tcnksm/ghr
	mkdir -p pkg && cd pkg && gox ../...

clean:
	rm -f lltsv

=== debian/changelog ===
lltsv (0.7.0-3) unstable; urgency=medium

  * debian/control
    - Refine Architectures: drop mipsel, added loong64 (Closes: #1059025)
    - Bump Standards-Version to 4.6.2. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 24 Feb 2024 19:22:38 +0900

lltsv (0.7.0-2) unstable; urgency=medium

  * debian/control
    - Restrict supported architectures
    - Bump Standards-Version to 4.6.1. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 19 Nov 2022 22:24:52 +0900

lltsv (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/patches/use-mattn-go-isatty.patch
    - Drop needless patch because it was merged to upstream

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 15 Nov 2020 19:32:19 +0900

=== debian/control ===
Source: lltsv
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Kentaro Hayashi <kenhys@xdump.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mattn-go-isatty-dev,
               golang-github-mgutz-ansi-dev,
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/lltsv
Vcs-Git: https://salsa.debian.org/go-team/packages/lltsv.git
Homepage: https://github.com/sonots/lltsv
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sonots/lltsv

Package: lltsv
Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 powerpc ppc64 sparc64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: List specified keys of LTSV (Labeled Tab Separated Values)
 lltsv is a command line tool to list specified keys of LTSV (Labeled
 Tab Separated Values) text with colorized output to a terminal.
 .
 It supports to filter with some comparing operators (arithmetic expression
 or regular expression)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lltsv-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/sonots/lltsv/tags .*/v?(\d\S*)\.tar\.gz debian
